Retrieve the error number set by the last pcntl function which failed

- « pcntl_fork

- pcntl_getpriority »

- PHP Manual
- PCNTL Functions
- Retrieve the error number set by the last pcntl function which failed

# pcntl_get_last_error

(PHP 5 >= 5.3.4, PHP 7, PHP 8)

pcntl_get_last_error — Retrieve the error number set by the last pcntl function which failed

### Description

pcntl_get_last_error(): int

Retrieve the error number (`errno`) set by the last pcntl function that failed. The system error message associated with the error number may be checked with pcntl_strerror().

### Parameters

This function has no parameters.

### Return Values

Returns the error number (`errno`) set by the last pcntl function that failed. If there was no error, 0 is returned.

### Examples

Example #1 pcntl_get_last_error() example

This example will attempt to wait on child processes in a situation where no child process exists, then will print out the corresponding error message.

    <?php
    $pid = pcntl_wait($status);
    if ($pid === -1) {
        $errno = pcntl_get_last_error();
        $message = pcntl_strerror($errno);
        fwrite(STDERR, 'pcntl_wait failed with errno ' . $errno
               . ': ' . $message . PHP_EOL);
    }

The above example will output something similar to:

    pcntl_wait failed with errno 10: No child processes

### See Also

- pcntl_strerror() - Retrieve the system error message associated with the given errno